mptscsih_IssueTaskMgmt
Prev | Fusion message devices | Next

## Name

mptscsih_IssueTaskMgmt — Generic send Task Management function.

## Synopsis

`int mptscsih_IssueTaskMgmt (` | MPT_SCSI_HOST * | hd,
| u8 | type,
| u8 | channel,
| u8 | id,
| int | lun,
| int | ctx2abort,
| ulong | timeout`)`;

## Arguments

`hd`

  Pointer to MPT_SCSI_HOST structure

`type`

  Task Management type

`channel`

  channel number for task management

`id`

  Logical Target ID for reset (if appropriate)

`lun`

  Logical Unit for reset (if appropriate)

`ctx2abort`

  Context for the task to be aborted (if appropriate)

`timeout`

  timeout for task management control

## Remark

_HardResetHandler can be invoked from an interrupt thread (timer) or a non-interrupt thread. In the former, must not call `schedule`.

Not all fields are meaningfull for all task types.

Returns 0 for SUCCESS, or FAILED.

Prev | Up | Next
mptscsih_info_scsiio | Home | mptscsih_tm_pending_wait